<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasenuc_login = array();
	$tdatasenuc_login[".NumberOfChars"] = 80; 
	$tdatasenuc_login[".ShortName"] = "senuc_login";
	$tdatasenuc_login[".OwnerID"] = "";
	$tdatasenuc_login[".OriginalTable"] = "senuc_login";

//	field labels
$fieldLabelssenuc_login = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelssenuc_login["Portuguese(Brazil)"] = array();
	$fieldToolTipssenuc_login["Portuguese(Brazil)"] = array();
	$fieldLabelssenuc_login["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipssenuc_login["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelssenuc_login["Portuguese(Brazil)"]["username"] = "Username";
	$fieldToolTipssenuc_login["Portuguese(Brazil)"]["username"] = "";
	$fieldLabelssenuc_login["Portuguese(Brazil)"]["nome"] = "Nome";
	$fieldToolTipssenuc_login["Portuguese(Brazil)"]["nome"] = "";
	$fieldLabelssenuc_login["Portuguese(Brazil)"]["email"] = "Email";
	$fieldToolTipssenuc_login["Portuguese(Brazil)"]["email"] = "";
	$fieldLabelssenuc_login["Portuguese(Brazil)"]["telefone"] = "Telefone";
	$fieldToolTipssenuc_login["Portuguese(Brazil)"]["telefone"] = "";
	$fieldLabelssenuc_login["Portuguese(Brazil)"]["celular"] = "Celular";
	$fieldToolTipssenuc_login["Portuguese(Brazil)"]["celular"] = "";
	$fieldLabelssenuc_login["Portuguese(Brazil)"]["operadora"] = "Operadora";
	$fieldToolTipssenuc_login["Portuguese(Brazil)"]["operadora"] = "";
	$fieldLabelssenuc_login["Portuguese(Brazil)"]["senha"] = "Senha";
	$fieldToolTipssenuc_login["Portuguese(Brazil)"]["senha"] = "";
	$fieldLabelssenuc_login["Portuguese(Brazil)"]["idnucleo"] = "Idnucleo";
	$fieldToolTipssenuc_login["Portuguese(Brazil)"]["idnucleo"] = "";
	$fieldLabelssenuc_login["Portuguese(Brazil)"]["id_mdl"] = "Id Mdl";
	$fieldToolTipssenuc_login["Portuguese(Brazil)"]["id_mdl"] = "";
	$fieldLabelssenuc_login["Portuguese(Brazil)"]["estado"] = "Estado";
	$fieldToolTipssenuc_login["Portuguese(Brazil)"]["estado"] = "";
	$fieldLabelssenuc_login["Portuguese(Brazil)"]["idregional"] = "Idregional";
	$fieldToolTipssenuc_login["Portuguese(Brazil)"]["idregional"] = "";
	if (count($fieldToolTipssenuc_login["Portuguese(Brazil)"]))
		$tdatasenuc_login[".isUseToolTips"] = true;
}
	
	
	$tdatasenuc_login[".NCSearch"] = true;



$tdatasenuc_login[".shortTableName"] = "senuc_login";
$tdatasenuc_login[".nSecOptions"] = 0;
$tdatasenuc_login[".recsPerRowList"] = 1;
$tdatasenuc_login[".mainTableOwnerID"] = "";
$tdatasenuc_login[".moveNext"] = 1;
$tdatasenuc_login[".nType"] = 0;

$tdatasenuc_login[".strOriginalTableName"] = "senuc_login";




$tdatasenuc_login[".showAddInPopup"] = true;

$tdatasenuc_login[".showEditInPopup"] = true;

$tdatasenuc_login[".showViewInPopup"] = true;

$tdatasenuc_login[".fieldsForRegister"] = array();

$tdatasenuc_login[".listAjax"] = false;

	$tdatasenuc_login[".audit"] = false;

	$tdatasenuc_login[".locking"] = false;

$tdatasenuc_login[".listIcons"] = true;
$tdatasenuc_login[".edit"] = true;
$tdatasenuc_login[".inlineEdit"] = true;
$tdatasenuc_login[".inlineAdd"] = true;
$tdatasenuc_login[".view"] = true;

$tdatasenuc_login[".exportTo"] = true;

$tdatasenuc_login[".printFriendly"] = true;

$tdatasenuc_login[".delete"] = true;

$tdatasenuc_login[".showSimpleSearchOptions"] = false;

$tdatasenuc_login[".showSearchPanel"] = true;

if (isMobile())
	$tdatasenuc_login[".isUseAjaxSuggest"] = false;
else 
	$tdatasenuc_login[".isUseAjaxSuggest"] = true;

$tdatasenuc_login[".rowHighlite"] = true;

// button handlers file names

$tdatasenuc_login[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasenuc_login[".isUseTimeForSearch"] = false;




$tdatasenuc_login[".allSearchFields"] = array();

$tdatasenuc_login[".allSearchFields"][] = "id";
$tdatasenuc_login[".allSearchFields"][] = "username";
$tdatasenuc_login[".allSearchFields"][] = "nome";
$tdatasenuc_login[".allSearchFields"][] = "email";
$tdatasenuc_login[".allSearchFields"][] = "telefone";
$tdatasenuc_login[".allSearchFields"][] = "celular";
$tdatasenuc_login[".allSearchFields"][] = "operadora";
$tdatasenuc_login[".allSearchFields"][] = "senha";
$tdatasenuc_login[".allSearchFields"][] = "idnucleo";
$tdatasenuc_login[".allSearchFields"][] = "id_mdl";
$tdatasenuc_login[".allSearchFields"][] = "idregional";
$tdatasenuc_login[".allSearchFields"][] = "estado";

$tdatasenuc_login[".googleLikeFields"][] = "id";
$tdatasenuc_login[".googleLikeFields"][] = "username";
$tdatasenuc_login[".googleLikeFields"][] = "nome";
$tdatasenuc_login[".googleLikeFields"][] = "email";
$tdatasenuc_login[".googleLikeFields"][] = "telefone";
$tdatasenuc_login[".googleLikeFields"][] = "celular";
$tdatasenuc_login[".googleLikeFields"][] = "operadora";
$tdatasenuc_login[".googleLikeFields"][] = "senha";
$tdatasenuc_login[".googleLikeFields"][] = "idnucleo";
$tdatasenuc_login[".googleLikeFields"][] = "id_mdl";
$tdatasenuc_login[".googleLikeFields"][] = "idregional";
$tdatasenuc_login[".googleLikeFields"][] = "estado";


$tdatasenuc_login[".advSearchFields"][] = "id";
$tdatasenuc_login[".advSearchFields"][] = "username";
$tdatasenuc_login[".advSearchFields"][] = "nome";
$tdatasenuc_login[".advSearchFields"][] = "email";
$tdatasenuc_login[".advSearchFields"][] = "telefone";
$tdatasenuc_login[".advSearchFields"][] = "celular";
$tdatasenuc_login[".advSearchFields"][] = "operadora";
$tdatasenuc_login[".advSearchFields"][] = "senha";
$tdatasenuc_login[".advSearchFields"][] = "idnucleo";
$tdatasenuc_login[".advSearchFields"][] = "id_mdl";
$tdatasenuc_login[".advSearchFields"][] = "idregional";
$tdatasenuc_login[".advSearchFields"][] = "estado";

$tdatasenuc_login[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatasenuc_login[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasenuc_login[".strOrderBy"] = $tstrOrderBy;

$tdatasenuc_login[".orderindexes"] = array();

$tdatasenuc_login[".sqlHead"] = "SELECT senuc_login.id,  senuc_login.username,  senuc_login.nome,  senuc_login.email,  senuc_login.telefone,  senuc_login.celular,  senuc_login.operadora,  senuc_login.senha,  senuc_login.idnucleo,  senuc_login.id_mdl,  senuc_login.idregional,  senuc_nucleo.estado";
$tdatasenuc_login[".sqlFrom"] = "FROM senuc_login  INNER JOIN senuc_nucleo ON senuc_login.idnucleo = senuc_nucleo.id";
$tdatasenuc_login[".sqlWhereExpr"] = "";
$tdatasenuc_login[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasenuc_login[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasenuc_login[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssenuc_login = array();
$tableKeyssenuc_login[] = "id";
$tdatasenuc_login[".Keys"] = $tableKeyssenuc_login;

$tdatasenuc_login[".listFields"] = array();
$tdatasenuc_login[".listFields"][] = "id";
$tdatasenuc_login[".listFields"][] = "username";
$tdatasenuc_login[".listFields"][] = "nome";
$tdatasenuc_login[".listFields"][] = "email";
$tdatasenuc_login[".listFields"][] = "telefone";
$tdatasenuc_login[".listFields"][] = "celular";
$tdatasenuc_login[".listFields"][] = "operadora";
$tdatasenuc_login[".listFields"][] = "senha";
$tdatasenuc_login[".listFields"][] = "idnucleo";
$tdatasenuc_login[".listFields"][] = "id_mdl";
$tdatasenuc_login[".listFields"][] = "idregional";
$tdatasenuc_login[".listFields"][] = "estado";

$tdatasenuc_login[".viewFields"] = array();
$tdatasenuc_login[".viewFields"][] = "id";
$tdatasenuc_login[".viewFields"][] = "username";
$tdatasenuc_login[".viewFields"][] = "nome";
$tdatasenuc_login[".viewFields"][] = "email";
$tdatasenuc_login[".viewFields"][] = "telefone";
$tdatasenuc_login[".viewFields"][] = "celular";
$tdatasenuc_login[".viewFields"][] = "operadora";
$tdatasenuc_login[".viewFields"][] = "senha";
$tdatasenuc_login[".viewFields"][] = "idnucleo";
$tdatasenuc_login[".viewFields"][] = "id_mdl";
$tdatasenuc_login[".viewFields"][] = "idregional";
$tdatasenuc_login[".viewFields"][] = "estado";

$tdatasenuc_login[".addFields"] = array();
$tdatasenuc_login[".addFields"][] = "username";
$tdatasenuc_login[".addFields"][] = "nome";
$tdatasenuc_login[".addFields"][] = "email";
$tdatasenuc_login[".addFields"][] = "telefone";
$tdatasenuc_login[".addFields"][] = "celular";
$tdatasenuc_login[".addFields"][] = "operadora";
$tdatasenuc_login[".addFields"][] = "senha";
$tdatasenuc_login[".addFields"][] = "idnucleo";
$tdatasenuc_login[".addFields"][] = "id_mdl";
$tdatasenuc_login[".addFields"][] = "idregional";

$tdatasenuc_login[".inlineAddFields"] = array();
$tdatasenuc_login[".inlineAddFields"][] = "username";
$tdatasenuc_login[".inlineAddFields"][] = "nome";
$tdatasenuc_login[".inlineAddFields"][] = "email";
$tdatasenuc_login[".inlineAddFields"][] = "telefone";
$tdatasenuc_login[".inlineAddFields"][] = "celular";
$tdatasenuc_login[".inlineAddFields"][] = "operadora";
$tdatasenuc_login[".inlineAddFields"][] = "senha";
$tdatasenuc_login[".inlineAddFields"][] = "idnucleo";
$tdatasenuc_login[".inlineAddFields"][] = "id_mdl";
$tdatasenuc_login[".inlineAddFields"][] = "idregional";
$tdatasenuc_login[".inlineAddFields"][] = "estado";

$tdatasenuc_login[".editFields"] = array();
$tdatasenuc_login[".editFields"][] = "username";
$tdatasenuc_login[".editFields"][] = "nome";
$tdatasenuc_login[".editFields"][] = "email";
$tdatasenuc_login[".editFields"][] = "telefone";
$tdatasenuc_login[".editFields"][] = "celular";
$tdatasenuc_login[".editFields"][] = "operadora";
$tdatasenuc_login[".editFields"][] = "senha";
$tdatasenuc_login[".editFields"][] = "idnucleo";
$tdatasenuc_login[".editFields"][] = "id_mdl";
$tdatasenuc_login[".editFields"][] = "idregional";

$tdatasenuc_login[".inlineEditFields"] = array();
$tdatasenuc_login[".inlineEditFields"][] = "username";
$tdatasenuc_login[".inlineEditFields"][] = "nome";
$tdatasenuc_login[".inlineEditFields"][] = "email";
$tdatasenuc_login[".inlineEditFields"][] = "telefone";
$tdatasenuc_login[".inlineEditFields"][] = "celular";
$tdatasenuc_login[".inlineEditFields"][] = "operadora";
$tdatasenuc_login[".inlineEditFields"][] = "senha";
$tdatasenuc_login[".inlineEditFields"][] = "idnucleo";
$tdatasenuc_login[".inlineEditFields"][] = "id_mdl";
$tdatasenuc_login[".inlineEditFields"][] = "idregional";
$tdatasenuc_login[".inlineEditFields"][] = "estado";

$tdatasenuc_login[".exportFields"] = array();
$tdatasenuc_login[".exportFields"][] = "id";
$tdatasenuc_login[".exportFields"][] = "username";
$tdatasenuc_login[".exportFields"][] = "nome";
$tdatasenuc_login[".exportFields"][] = "email";
$tdatasenuc_login[".exportFields"][] = "telefone";
$tdatasenuc_login[".exportFields"][] = "celular";
$tdatasenuc_login[".exportFields"][] = "operadora";
$tdatasenuc_login[".exportFields"][] = "senha";
$tdatasenuc_login[".exportFields"][] = "idnucleo";
$tdatasenuc_login[".exportFields"][] = "id_mdl";
$tdatasenuc_login[".exportFields"][] = "idregional";
$tdatasenuc_login[".exportFields"][] = "estado";

$tdatasenuc_login[".printFields"] = array();
$tdatasenuc_login[".printFields"][] = "id";
$tdatasenuc_login[".printFields"][] = "username";
$tdatasenuc_login[".printFields"][] = "nome";
$tdatasenuc_login[".printFields"][] = "email";
$tdatasenuc_login[".printFields"][] = "telefone";
$tdatasenuc_login[".printFields"][] = "celular";
$tdatasenuc_login[".printFields"][] = "operadora";
$tdatasenuc_login[".printFields"][] = "senha";
$tdatasenuc_login[".printFields"][] = "idnucleo";
$tdatasenuc_login[".printFields"][] = "id_mdl";
$tdatasenuc_login[".printFields"][] = "idregional";
$tdatasenuc_login[".printFields"][] = "estado";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_login";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "senuc_login.id";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_login["id"] = $fdata;
//	username
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "username";
	$fdata["GoodName"] = "username";
	$fdata["ownerTable"] = "senuc_login";
	$fdata["Label"] = "Username"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "username"; 
		$fdata["FullName"] = "senuc_login.username";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_login["username"] = $fdata;
//	nome
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "nome";
	$fdata["GoodName"] = "nome";
	$fdata["ownerTable"] = "senuc_login";
	$fdata["Label"] = "Nome"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nome"; 
		$fdata["FullName"] = "senuc_login.nome";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_login["nome"] = $fdata;
//	email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "email";
	$fdata["GoodName"] = "email";
	$fdata["ownerTable"] = "senuc_login";
	$fdata["Label"] = "Email"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "email"; 
		$fdata["FullName"] = "senuc_login.email";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_login["email"] = $fdata;
//	telefone
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "telefone";
	$fdata["GoodName"] = "telefone";
	$fdata["ownerTable"] = "senuc_login";
	$fdata["Label"] = "Telefone"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "telefone"; 
		$fdata["FullName"] = "senuc_login.telefone";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=20";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_login["telefone"] = $fdata;
//	celular
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "celular";
	$fdata["GoodName"] = "celular";
	$fdata["ownerTable"] = "senuc_login";
	$fdata["Label"] = "Celular"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "celular"; 
		$fdata["FullName"] = "senuc_login.celular";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=20";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_login["celular"] = $fdata;
//	operadora
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "operadora";
	$fdata["GoodName"] = "operadora";
	$fdata["ownerTable"] = "senuc_login";
	$fdata["Label"] = "Operadora"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "operadora"; 
		$fdata["FullName"] = "senuc_login.operadora";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_login["operadora"] = $fdata;
//	senha
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "senha";
	$fdata["GoodName"] = "senha";
	$fdata["ownerTable"] = "senuc_login";
	$fdata["Label"] = "Senha"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "senha"; 
		$fdata["FullName"] = "senuc_login.senha";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_login["senha"] = $fdata;
//	idnucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "idnucleo";
	$fdata["GoodName"] = "idnucleo";
	$fdata["ownerTable"] = "senuc_login";
	$fdata["Label"] = "Idnucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idnucleo"; 
		$fdata["FullName"] = "senuc_login.idnucleo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "id";
	
		
	$edata["LookupTable"] = "senuc_nucleo";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_login["idnucleo"] = $fdata;
//	id_mdl
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "id_mdl";
	$fdata["GoodName"] = "id_mdl";
	$fdata["ownerTable"] = "senuc_login";
	$fdata["Label"] = "Id Mdl"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id_mdl"; 
		$fdata["FullName"] = "senuc_login.id_mdl";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_login["id_mdl"] = $fdata;
//	idregional
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "idregional";
	$fdata["GoodName"] = "idregional";
	$fdata["ownerTable"] = "senuc_login";
	$fdata["Label"] = "Idregional"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idregional"; 
		$fdata["FullName"] = "senuc_login.idregional";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_login["idregional"] = $fdata;
//	estado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "estado";
	$fdata["GoodName"] = "estado";
	$fdata["ownerTable"] = "senuc_nucleo";
	$fdata["Label"] = "Estado"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "estado"; 
		$fdata["FullName"] = "senuc_nucleo.estado";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_login["estado"] = $fdata;

	
$tables_data["senuc_login"]=&$tdatasenuc_login;
$field_labels["senuc_login"] = &$fieldLabelssenuc_login;
$fieldToolTips["senuc_login"] = &$fieldToolTipssenuc_login;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["senuc_login"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["senuc_login"] = array();

$mIndex = 1-1;
			$strOriginalDetailsTable="senuc_nucleo";
	$masterParams["mDataSourceTable"]="senuc_nucleo";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "senuc_nucleo";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "0";
	$masterParams["dispInfo"]= "1";
	$masterParams["previewOnList"]= 1;
	$masterParams["previewOnAdd"]= 0;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["senuc_login"][$mIndex] = $masterParams;	
		$masterTablesData["senuc_login"][$mIndex]["masterKeys"][]="id";
		$masterTablesData["senuc_login"][$mIndex]["detailKeys"][]="idnucleo";

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_senuc_login()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "senuc_login.id,  senuc_login.username,  senuc_login.nome,  senuc_login.email,  senuc_login.telefone,  senuc_login.celular,  senuc_login.operadora,  senuc_login.senha,  senuc_login.idnucleo,  senuc_login.id_mdl,  senuc_login.idregional,  senuc_nucleo.estado";
$proto0["m_strFrom"] = "FROM senuc_login  INNER JOIN senuc_nucleo ON senuc_login.idnucleo = senuc_nucleo.id";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_login"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "username",
	"m_strTable" => "senuc_login"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "nome",
	"m_strTable" => "senuc_login"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "email",
	"m_strTable" => "senuc_login"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "telefone",
	"m_strTable" => "senuc_login"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "celular",
	"m_strTable" => "senuc_login"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "operadora",
	"m_strTable" => "senuc_login"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "senha",
	"m_strTable" => "senuc_login"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_login"
));

$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "id_mdl",
	"m_strTable" => "senuc_login"
));

$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
						$proto25=array();
			$obj = new SQLField(array(
	"m_strName" => "idregional",
	"m_strTable" => "senuc_login"
));

$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "";
$obj = new SQLFieldListItem($proto25);

$proto0["m_fieldlist"][]=$obj;
						$proto27=array();
			$obj = new SQLField(array(
	"m_strName" => "estado",
	"m_strTable" => "senuc_nucleo"
));

$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "";
$obj = new SQLFieldListItem($proto27);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto29=array();
$proto29["m_link"] = "SQLL_MAIN";
			$proto30=array();
$proto30["m_strName"] = "senuc_login";
$proto30["m_columns"] = array();
$proto30["m_columns"][] = "id";
$proto30["m_columns"][] = "username";
$proto30["m_columns"][] = "nome";
$proto30["m_columns"][] = "email";
$proto30["m_columns"][] = "telefone";
$proto30["m_columns"][] = "celular";
$proto30["m_columns"][] = "operadora";
$proto30["m_columns"][] = "senha";
$proto30["m_columns"][] = "idnucleo";
$proto30["m_columns"][] = "idregional";
$proto30["m_columns"][] = "idregi";
$proto30["m_columns"][] = "id_mdl";
$obj = new SQLTable($proto30);

$proto29["m_table"] = $obj;
$proto29["m_alias"] = "";
$proto31=array();
$proto31["m_sql"] = "";
$proto31["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto31["m_column"]=$obj;
$proto31["m_contained"] = array();
$proto31["m_strCase"] = "";
$proto31["m_havingmode"] = "0";
$proto31["m_inBrackets"] = "0";
$proto31["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto31);

$proto29["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto29);

$proto0["m_fromlist"][]=$obj;
												$proto33=array();
$proto33["m_link"] = "SQLL_INNERJOIN";
			$proto34=array();
$proto34["m_strName"] = "senuc_nucleo";
$proto34["m_columns"] = array();
$proto34["m_columns"][] = "id";
$proto34["m_columns"][] = "idregional";
$proto34["m_columns"][] = "login";
$proto34["m_columns"][] = "senha";
$proto34["m_columns"][] = "nome";
$proto34["m_columns"][] = "responsavel";
$proto34["m_columns"][] = "endereco";
$proto34["m_columns"][] = "cep";
$proto34["m_columns"][] = "estado";
$proto34["m_columns"][] = "cidade";
$proto34["m_columns"][] = "tipo";
$proto34["m_columns"][] = "site";
$proto34["m_columns"][] = "email";
$proto34["m_columns"][] = "telefone";
$proto34["m_columns"][] = "celular";
$proto34["m_columns"][] = "operadora";
$proto34["m_columns"][] = "data_inicio";
$proto34["m_columns"][] = "observacao";
$proto34["m_columns"][] = "prepara_para";
$proto34["m_columns"][] = "funciona_em";
$proto34["m_columns"][] = "ativo";
$proto34["m_columns"][] = "motivo";
$proto34["m_columns"][] = "id_mdl";
$proto34["m_columns"][] = "meta_funcionamento";
$proto34["m_columns"][] = "meta_alunos";
$proto34["m_columns"][] = "limite_alunos_por_coordenador";
$proto34["m_columns"][] = "min_presenca_coordenador";
$proto34["m_columns"][] = "min_presenca_professor";
$proto34["m_columns"][] = "min_presenca_aluno";
$proto34["m_columns"][] = "min_atividades";
$proto34["m_columns"][] = "data_ultimo_score";
$proto34["m_columns"][] = "ultimo_score";
$obj = new SQLTable($proto34);

$proto33["m_table"] = $obj;
$proto33["m_alias"] = "";
$proto35=array();
$proto35["m_sql"] = "senuc_login.idnucleo = senuc_nucleo.id";
$proto35["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_login"
));

$proto35["m_column"]=$obj;
$proto35["m_contained"] = array();
$proto35["m_strCase"] = "= senuc_nucleo.id";
$proto35["m_havingmode"] = "0";
$proto35["m_inBrackets"] = "0";
$proto35["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto35);

$proto33["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto33);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_senuc_login = createSqlQuery_senuc_login();
												$tdatasenuc_login[".sqlquery"] = $queryData_senuc_login;
	
if(isset($tdatasenuc_login["field2"])){
	$tdatasenuc_login["field2"]["LookupTable"] = "carscars_view";
	$tdatasenuc_login["field2"]["LookupOrderBy"] = "name";
	$tdatasenuc_login["field2"]["LookupType"] = 4;
	$tdatasenuc_login["field2"]["LinkField"] = "email";
	$tdatasenuc_login["field2"]["DisplayField"] = "name";
	$tdatasenuc_login[".hasCustomViewField"] = true;
}

$tableEvents["senuc_login"] = new eventsBase;
$tdatasenuc_login[".hasEvents"] = false;

$cipherer = new RunnerCipherer("senuc_login");

?>